## org.eclipse.emf.ecore.xmi
Class IllegalValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.ecore.xmi.XMIException
                  org.eclipse.emf.ecore.xmi.IllegalValueException

All Implemented Interfaces:
  java.io.Serializable, Resource.Diagnostic

    public class IllegalValueException

extends XMIException

See Also:
  Serialized Form

Field Summary
`protected EStructuralFeature` `feature`
`protected EObject` `object`
`protected java.lang.Object` `value`

Fields inherited from class org.eclipse.emf.ecore.xmi.XMIException
`column, line, location`

Constructor Summary
`IllegalValueException(EObject object, EStructuralFeature feature, java.lang.Object value, java.lang.Exception emfException, java.lang.String location, int line, int column)`

Method Summary
`EStructuralFeature` `getFeature()`
`EObject` `getObject()`
`java.lang.Object` `getValue()`

Methods inherited from class org.eclipse.emf.ecore.xmi.XMIException
`getColumn, getLine, getLocation, getMessage, getWrappedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### object

    protected transient EObject object

### feature

    protected transient EStructuralFeature feature

### value

    protected transient java.lang.Object value

Constructor Detail

### IllegalValueException

    public IllegalValueException(EObject object,
                                 EStructuralFeature feature,
                                 java.lang.Object value,
                                 java.lang.Exception emfException,
                                 java.lang.String location,
                                 int line,
                                 int column)

Method Detail

### getObject

    public EObject getObject()

### getFeature

    public EStructuralFeature getFeature()

### getValue

    public java.lang.Object getValue()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.